import request from '@/utils/request'

// 查询文档分类列表
export function listClassify(query) {
  return request({
    url: '/doc/classify/list',
    method: 'get',
    params: query
  })
}

// 查询文档分类详细
export function getClassify(classifyId) {
  return request({
    url: '/doc/classify/' + classifyId,
    method: 'get'
  })
}

// 新增文档分类
export function addClassify(data) {
  return request({
    url: '/doc/classify',
    method: 'post',
    data: data
  })
}

// 修改文档分类
export function updateClassify(data) {
  return request({
    url: '/doc/classify',
    method: 'put',
    data: data
  })
}

// 删除文档分类
export function delClassify(classifyId) {
  return request({
    url: '/doc/classify/' + classifyId,
    method: 'delete'
  })
}
