import request from '@/utils/request'

// 查询目录信息列表
export function listDir(query) {
  return request({
    url: '/doc/dir/list',
    method: 'get',
    params: query
  })
}

// 查询目录信息详细
export function getDir(dirId) {
  return request({
    url: '/doc/dir/' + dirId,
    method: 'get'
  })
}

// 新增目录信息
export function addDir(data) {
  return request({
    url: '/doc/dir',
    method: 'post',
    data: data
  })
}

// 修改目录信息
export function updateDir(data) {
  return request({
    url: '/doc/dir',
    method: 'put',
    data: data
  })
}

// 删除目录信息
export function delDir(dirId) {
  return request({
    url: '/doc/dir/' + dirId,
    method: 'delete'
  })
}
