import request from '@/utils/request'

// 查询扩容申请列表
export function listExpan(query) {
  return request({
    url: '/doc/expan/list',
    method: 'get',
    params: query
  })
}

// 查询扩容申请详细
export function getExpan(expanId) {
  return request({
    url: '/doc/expan/' + expanId,
    method: 'get'
  })
}

// 新增扩容申请
export function addExpan(data) {
  return request({
    url: '/doc/expan',
    method: 'post',
    data: data
  })
}

// 修改扩容申请
export function updateExpan(data) {
  return request({
    url: '/doc/expan',
    method: 'put',
    data: data
  })
}

// 删除扩容申请
export function delExpan(expanId) {
  return request({
    url: '/doc/expan/' + expanId,
    method: 'delete'
  })
}
