import request from '@/utils/request'

// 查询分组成员列表
export function listGroupUser(query) {
  return request({
    url: '/doc/groupUser/list',
    method: 'get',
    params: query
  })
}

// 查询分组成员详细
export function getGroupUser(groupId) {
  return request({
    url: '/doc/groupUser/' + groupId,
    method: 'get'
  })
}

// 新增分组成员
export function addGroupUser(data) {
  return request({
    url: '/doc/groupUser',
    method: 'post',
    data: data
  })
}

// 修改分组成员
export function updateGroupUser(data) {
  return request({
    url: '/doc/groupUser',
    method: 'put',
    data: data
  })
}

// 删除分组成员
export function delGroupUser(groupId) {
  return request({
    url: '/doc/groupUser/' + groupId,
    method: 'delete'
  })
}
