import request from '@/utils/request'

// 查询文档基本信息列表
export function listInfo(query) {
  return request({
    url: '/doc/info/list',
    method: 'get',
    params: query
  })
}

// 查询文档基本信息详细
export function getInfo(docId) {
  return request({
    url: '/doc/info/' + docId,
    method: 'get'
  })
}

// 新增文档基本信息
export function addInfo(data) {
  return request({
    url: '/doc/info',
    method: 'post',
    data: data
  })
}

// 修改文档基本信息
export function updateInfo(data) {
  return request({
    url: '/doc/info',
    method: 'put',
    data: data
  })
}

// 删除文档基本信息
export function delInfo(docId) {
  return request({
    url: '/doc/info/' + docId,
    method: 'delete'
  })
}