import request from '@/utils/request'

// 查询文档目录关系列表
export function listInfoDir(query) {
  return request({
    url: '/doc/infoDir/list',
    method: 'get',
    params: query
  })
}

// 查询文档目录关系详细
export function getInfoDir(docId) {
  return request({
    url: '/doc/infoDir/' + docId,
    method: 'get'
  })
}

// 新增文档目录关系
export function addInfoDir(data) {
  return request({
    url: '/doc/infoDir',
    method: 'post',
    data: data
  })
}

// 修改文档目录关系
export function updateInfoDir(data) {
  return request({
    url: '/doc/infoDir',
    method: 'put',
    data: data
  })
}

// 删除文档目录关系
export function delInfoDir(docId) {
  return request({
    url: '/doc/infoDir/' + docId,
    method: 'delete'
  })
}
