import request from '@/utils/request'

// 查询系统消息列表
export function listMsg(query) {
  return request({
    url: '/doc/msg/list',
    method: 'get',
    params: query
  })
}

// 查询系统消息详细
export function getMsg(msgId) {
  return request({
    url: '/doc/msg/' + msgId,
    method: 'get'
  })
}

// 新增系统消息
export function addMsg(data) {
  return request({
    url: '/doc/msg',
    method: 'post',
    data: data
  })
}

// 修改系统消息
export function updateMsg(data) {
  return request({
    url: '/doc/msg',
    method: 'put',
    data: data
  })
}

// 删除系统消息
export function delMsg(msgId) {
  return request({
    url: '/doc/msg/' + msgId,
    method: 'delete'
  })
}
