import request from '@/utils/request'

// 查询存储空间列表
export function listSpace(query) {
  return request({
    url: '/doc/space/list',
    method: 'get',
    params: query
  })
}

// 查询存储空间详细
export function getSpace(spaceId) {
  return request({
    url: '/doc/space/' + spaceId,
    method: 'get'
  })
}

// 新增存储空间
export function addSpace(data) {
  return request({
    url: '/doc/space',
    method: 'post',
    data: data
  })
}

// 修改存储空间
export function updateSpace(data) {
  return request({
    url: '/doc/space',
    method: 'put',
    data: data
  })
}

// 删除存储空间
export function delSpace(spaceId) {
  return request({
    url: '/doc/space/' + spaceId,
    method: 'delete'
  })
}
