import request from '@/utils/request'

// 查询文档标签列表
export function listTag(query) {
  return request({
    url: '/doc/tag/list',
    method: 'get',
    params: query
  })
}

// 查询文档标签详细
export function getTag(id) {
  return request({
    url: '/doc/tag/' + id,
    method: 'get'
  })
}

// 新增文档标签
export function addTag(data) {
  return request({
    url: '/doc/tag',
    method: 'post',
    data: data
  })
}

// 修改文档标签
export function updateTag(data) {
  return request({
    url: '/doc/tag',
    method: 'put',
    data: data
  })
}

// 删除文档标签
export function delTag(id) {
  return request({
    url: '/doc/tag/' + id,
    method: 'delete'
  })
}
